/*
 * TestCommon.cs
 *
 * Bread Crumb Trail Control
 * Version: 2.0
 *
 * Copyright (c) 2004, 2006, TopCoder, Inc. All rights reserved
 *
 * Authors: Standlove, TCSDEVELOPER
 */

using TopCoder.Util.ConfigurationManager;

namespace TopCoder.Web.UI.WebControl.BreadCrumb.Tests
{
    /// <summary>
    /// Common settings and utilities for the various unit tests.
    /// </summary>
    public sealed class TestCommon
    {
        /// <summary>
        /// The application path on the web server.
        /// </summary>
        public const string AppPath = "/BreadCrumbTrailWeb";

        /// <summary>
        /// The IIS server used for testing.
        /// </summary>
        public const string IisServer = "http://localhost";
        /// <summary>
        /// Loads new configuration files into the ConfigManager instance.
        /// Clears out old values first.
        /// </summary>
        ///
        /// <param name="configFiles">
        /// Configuration files to load.
        /// </param>
        public static void LoadConfigFile(params string[] configFiles)
        {
            ConfigManager cm = ConfigManager.GetInstance();
            cm.Clear(false);
            foreach (string configFile in configFiles)
            {
                cm.LoadFile(configFile);
            }
        }
    }
}
